cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/voice-previews/remix/job_01hasync" \
--header "xi-api-key: $BREEZE_API_KEY"import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
job = client.voices.get_remix_preview("job_01hasync")
if job["status"] == "ready":
print(job["generated_voice_id"])import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const job = await client.voices.getRemixPreview("job_01hasync");
if (job.status === "ready") {
console.log(job.generatedVoiceId);
}{
"generation_job_id": "<string>",
"status": "<string>",
"language_code": "<string>",
"generated_voice_id": "<string>",
"text": "<string>",
"error": {
"code": "<string>",
"detail": "<string>"
},
"instruction": "<string>",
"guidance_scale": 123,
"source_voice": {
"voice_id": "<string>",
"name": "<string>",
"description": "<string>"
},
"comparison_audio_url": "<string>",
"comparison_text": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Voice Previews
Get remix preview
Get the status of a voice remix job. Once status is ready, generated_voice_id can be downloaded and saved like any other voice preview.
GET
/
v1
/
voice-previews
/
remix
/
{generation_job_id}
cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/voice-previews/remix/job_01hasync" \
--header "xi-api-key: $BREEZE_API_KEY"import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
job = client.voices.get_remix_preview("job_01hasync")
if job["status"] == "ready":
print(job["generated_voice_id"])import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const job = await client.voices.getRemixPreview("job_01hasync");
if (job.status === "ready") {
console.log(job.generatedVoiceId);
}{
"generation_job_id": "<string>",
"status": "<string>",
"language_code": "<string>",
"generated_voice_id": "<string>",
"text": "<string>",
"error": {
"code": "<string>",
"detail": "<string>"
},
"instruction": "<string>",
"guidance_scale": 123,
"source_voice": {
"voice_id": "<string>",
"name": "<string>",
"description": "<string>"
},
"comparison_audio_url": "<string>",
"comparison_text": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Continue building
Download completed voice preview
Download the completed remixed preview.
Save voice preview
Save the chosen remixed voice.
Remixing a voice
Generate, audition, and save remixed previews.
Authorizations
Breeze Developer API key.
Path Parameters
Job identifier returned by POST /v1/voice-previews/remix. See Async jobs.
Response
Voice remix job.
Language the remixed preview speaks, once the job is ready. See supported language codes.
Preview ID to audition and save, available once the job is ready.
Script the remixed preview reads.
Show child attributes
Show child attributes
Prepared performance instruction used for this candidate.
Show child attributes
Show child attributes
Existing source recording for comparison; its transcript is comparison_text.

